/*
 * CandleLight
 * -----------
 * 
 * Использует генератор случайных чисел, чтобы эмулировать
 * мерцающее пламя свечи с помощью светодиода,
 * управляемого через ШИМ
 *
 * 2007 Tod E. Kurt <tod@todbot.com>
 * http://todbot.com/
 * 
 */

int ledPin = 9;    // выбор пина для светодиода
int val = 0;       // переменная для хранения текущей яркости светодиода
int delayval = 0;  // переменная для хранения текущего времени задержки

void setup() {
  randomSeed(0);            // запустить генератор случайных чисел
  pinMode(ledPin, OUTPUT);  // объявить ledPin выходом
}

void loop() {
  val = random(100,255);       // выбрать случайное число между 100 и 255
  analogWrite(ledPin, val);    // установить яркость светодиода

  delayval = random(50,150);   // выбрать случайное число между 30 и 100
  delay(delayval);             // подождать это число миллисекунд
}
