/*
 * Кнопка
 * Автор DojoDave <http://www.0j0.org>
 *
 * Включает и выключает светоизлучающий диод (light emitting diode, LED),
 * подключённый к 13 пину, при нажатии кнопки, подключённой к пину 7  
 * 
 * http://www.arduino.cc/en/Tutorial/Button
 */
 
int ledPin = 13;                // выбор пина для светодиода
int inputPin = 2;               // выбор входного пина (для кнопки)
int val = 0;                    // переменная, куда будет считываться
				// состояние пина

void setup() {
  pinMode(ledPin, OUTPUT);      // объявить светодиод выходом
  pinMode(inputPin, INPUT);     // объявить кнопку входом
}

void loop(){
  val = digitalRead(inputPin);  // считать значение на входе
  if (val == HIGH) {            // если на входе HIGH
    digitalWrite(ledPin, LOW);  // выключить светодиод
  } else {
    digitalWrite(ledPin, HIGH); // включить светодиод
  }
}
