/* Serial Hello World
 * ------------------- 
 * Простой пример с приветствием для последовательного порта.
 * Печатает "Hello world!" и мигает светодиодом на 13 пине каждую секунду.
 *
 * Created 18 October 2006
 * copyleft 2006 Tod E. Kurt <tod@todbot.com>`
 * http://todbot.com/
 */


int ledPin = 13;   // выбор пина для светодиода
int i=0;           // простой счётчик, чтобы показать, что что-то происходит

void setup() {
  pinMode(ledPin,OUTPUT);   // объявить светодиод выходом
  Serial.begin(19200);      // подключиться к последовательному порту
}

void loop () {
  Serial.print(i++);
  Serial.println(" Hello world!");  // напечатать приветствие
  digitalWrite(ledPin, HIGH);
  delay(500);
  digitalWrite(ledPin, LOW);
  delay(500);
}
